Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Mon 21 Apr 2014, 12:14
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
How to install last java plugin version ?
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [9 Posts]  
Author Message
_MegadetH_

Joined: 28 Sep 2008
Posts: 215
Location: Italy

PostPosted: Sat 02 Jun 2012, 09:42    Post subject:  How to install last java plugin version ?  

Hi there! I'm trying to play a browser game from this site http://www.drakensang-online.it and it doesn't run because I need last java plugin. I've Racy 5.3 Os and I use seamonkey as browser, how can I install new java plugin? There are some java here http://www.java.com/en/download/linux_manual.jsp?locale=en
but they are not in pet version.
Back to top
View user's profile Send private message 
Dewbie

Joined: 15 Apr 2010
Posts: 1768

PostPosted: Sat 02 Jun 2012, 14:47    Post subject:  

Have a look at this thread.
Back to top
View user's profile Send private message 
_MegadetH_

Joined: 28 Sep 2008
Posts: 215
Location: Italy

PostPosted: Sat 02 Jun 2012, 16:07    Post subject:  

I quote the instructions of the topic you suggested me:

runtt21 wrote:

First make a /usr/java folder.

Then go to this page and download and save the Linux self extracting file it's 20.6 MB

http://java.com/en/download/linux_manual.jsp?locale=en&host=java.com

Then use geany to copy down these instructions so you can close firefox.

Now move the jre-6u29-linux-i586.bin you just downloaded into /usr/java

Open a terminal in /usr/java and run:

Code:
chmod a+x jre-6u29-linux-i586.bin


The name of the bin should change color from black to red in rox.

Now run:

Code:
./jre-6u29-linux-i586.bin


Let it do it's thing.When it finishes it will say "done" in the terminal.

Now run :

Code:
cd /usr/lib/mozilla/plugins


And then run:

Code:
ln -s /usr/java/jre1.6.0_29/lib/i386/libnpjp2.so


That's it. Now open firefox and run about:plugins in the address bar and see if java is listed down at the bottom.



On java site there isn't a java file with extention .bin to but only .rpm or tar.gz. I tried to follow the instructions but works only for .bin file I don't have. Any suggestion? I'm not very good with command lines. Thanks.
Back to top
View user's profile Send private message 
Dewbie

Joined: 15 Apr 2010
Posts: 1768

PostPosted: Sat 02 Jun 2012, 17:42    Post subject:  

shinobar posted Java 1.6.31-1 (.sfs) here.
ttuuxxx posted Java 1.6.26-1 (.pet) here.

I've never used runtt21's method, but I think the .bin might be inside the .tar.gz.
To access the files in a .tar.gz , just click on it and select which files to extract.
(and which directory to extract them to)

Also, you would normally copy shinobar's .sfs files to the drive Puppy is installed on, then reboot. Follow instructions in the window that opens, then reboot again.
Back to top
View user's profile Send private message 
_MegadetH_

Joined: 28 Sep 2008
Posts: 215
Location: Italy

PostPosted: Sun 03 Jun 2012, 04:47    Post subject:  

Dewbie wrote:
shinobar posted Java 1.6.31-1 (.sfs) here.
ttuuxxx posted Java 1.6.26-1 (.pet) here.

I've never used runtt21's method, but I think the .bin might be inside the .tar.gz.
To access the files in a .tar.gz , just click on it and select which files to extract.
(and which directory to extract them to)

Also, you would normally copy shinobar's .sfs files to the drive Puppy is installed on, then reboot. Follow instructions in the window that opens, then reboot again.

Thank you Dewbie!
I tried to run ,sfs and it was mounted but it didn't worked because Seamonkey didn't reconized it.
Then I installed ttuuxxx java pet and it works with Seamonkey Very Happy
Back to top
View user's profile Send private message 
Dewbie

Joined: 15 Apr 2010
Posts: 1768

PostPosted: Mon 04 Jun 2012, 01:21    Post subject:  

If you would like a menu entry for ttuuxxx's Java .pet, install this.
Then restart window manager.
It should appear under Menu / System / Java Control Center.
Edit: Just found problem with that Java .pet. Sad
See fourth post here.
java-control-desktop.pet
Description  Java menu entry
pet

 Download 
Filename  java-control-desktop.pet 
Filesize  496 Bytes 
Downloaded  381 Time(s) 

Last edited by Dewbie on Wed 14 Aug 2013, 13:20; edited 1 time in total
Back to top
View user's profile Send private message 
_MegadetH_

Joined: 28 Sep 2008
Posts: 215
Location: Italy

PostPosted: Mon 04 Jun 2012, 07:39    Post subject:  

Dewbie wrote:
If you would like a menu entry for ttuuxxx's Java .pet, install this.
Then restart window manager.
It should appear under Menu / System / Java Control Center.

Very useful! Thank you so much! Smile
Back to top
View user's profile Send private message 
Dewbie

Joined: 15 Apr 2010
Posts: 1768

PostPosted: Sat 14 Jul 2012, 15:15    Post subject:  

Newer-version Java files are here.
(I don't think the desktop file I posted above will work with them.)
Back to top
View user's profile Send private message 
mimeini

Joined: 04 Dec 2008
Posts: 36

PostPosted: Thu 17 Jan 2013, 20:53    Post subject:  

I just installed the latest java from java official release.

http://java.com/en/download/linux_manual.jsp?locale=en&host=java.com

as _MegadetH_ rightly points out.

"On java site There is not a java file with extention. Bin two men only. Rpm or tar.gz."

But that runtt21's instructions work just fine with very few changes.

where it says.
chmod a + x jre-6u29-linux-i586.bin
Don't do that. Skip this step.

Where it says.
./jre-6u29-linux-i586.bin
Do instead:
tar zxvf jre-7u11-linux-i586.tar.gz
(Customize "jre-7u11" so it match the version number of the file you downloaded.)

Where it says
ln-s / usr/java/jre1.6.0_29/lib/i386/libnpjp2.so
Do instead:
ln-s / usr/java/jre1.7.0_11/lib/i386/libnpjp2.so
(Customize "jre-7u11" so it match the version number of the file you downloaded.)
Then you installed latest official jre and it also works in google chrome I just tested myself Very Happy.
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [9 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0600s ][ Queries: 13 (0.0042s) ][ GZIP on ]